# frozen_string_literal: true

module Swamp
  module Action
    module Flash
      def self.included(base)
        base.expose :flash
      end

      def flash_alert!(message)
        flash[:alert] = message
      end

      def flash_notice!(message)
        flash[:notice] = message
      end

      def flash
        @flash ||= Hash[]
      end
    end
  end
end
